3

I am trying to upgrade Magento CE 2.0.4 to 2.0.6 using composer following their knowledgebase article: http://devdocs.magento.com/guides/v2.0/comp-mgr/cli/cli-upgrade.html

But, when I run composer update, I get the following error:

 Problem 1
- Installation request for magento/magento2ce 2.0.4 -> satisfiable by magento/magento2ce[2.0.4].
- magento/product-community-edition 2.0.6 requires magento/framework 100.0.8 -> satisfiable by magento/framework[100.0.8].
- don't install magento/framework 100.0.8|remove magento/magento2ce 2.0.4
- Installation request for magento/product-community-edition 2.0.6 -> satisfiable by magento/product-community-edition[2.0.6].

Any idea on how to fix it? I did clear the vendor folder in root already.

Here's my composer.json file:

{
"name": "magento/magento2ce",
"description": "Magento 2 (Community Edition)",
"type": "project",
"version": "2.0.4",
"license": [
    "OSL-3.0",
    "AFL-3.0"
],
"repositories": [
    {
        "type": "composer",
        "url": "https://repo.magento.com/"
    }
],
"require": {
    "php": "~5.5.0|~5.6.0|~7.0.0",
    "zendframework/zend-stdlib": "~2.4.6",
    "zendframework/zend-code": "~2.4.6",
    "zendframework/zend-server": "~2.4.6",
    "zendframework/zend-soap": "~2.4.6",
    "zendframework/zend-uri": "~2.4.6",
    "zendframework/zend-validator": "~2.4.6",
    "zendframework/zend-crypt": "~2.4.6",
    "zendframework/zend-console": "~2.4.6",
    "zendframework/zend-modulemanager": "~2.4.6",
    "zendframework/zend-mvc": "~2.4.6",
    "zendframework/zend-text": "~2.4.6",
    "zendframework/zend-i18n": "~2.4.6",
    "zendframework/zend-eventmanager": "~2.4.6",
    "zendframework/zend-view": "~2.4.6",
    "zendframework/zend-servicemanager": "~2.4.6",
    "zendframework/zend-json": "~2.4.6",
    "zendframework/zend-config": "~2.4.6",
    "zendframework/zend-form": "~2.4.6",
    "zendframework/zend-di": "~2.4.6",
    "zendframework/zend-serializer": "~2.4.6",
    "zendframework/zend-log": "~2.4.6",
    "zendframework/zend-http": "~2.4.6",
    "magento/zendframework1": "1.12.16",
    "composer/composer": "1.0.0-alpha10",
    "monolog/monolog": "1.16.0",
    "oyejorge/less.php": "1.7.0.3",
    "pelago/emogrifier": "0.1.1",
    "tubalmartin/cssmin": "2.4.8-p4",
    "magento/magento-composer-installer": "*",
    "braintree/braintree_php": "2.39.0",
    "symfony/console": "~2.3 <2.7",
    "symfony/event-dispatcher": "~2.1",
    "phpseclib/phpseclib": "~0.3",
    "tedivm/jshrink": "~1.0.1",
    "magento/composer": "~1.0.0",
    "lib-libxml": "*",
    "ext-ctype": "*",
    "ext-gd": "*",
    "ext-spl": "*",
    "ext-dom": "*",
    "ext-simplexml": "*",
    "ext-mcrypt": "*",
    "ext-hash": "*",
    "ext-curl": "*",
    "ext-iconv": "*",
    "ext-intl": "*",
    "ext-xsl": "*",
    "ext-mbstring": "*",
    "ext-openssl": "*",
    "ext-zip": "*"
},
"require-dev": {
    "phpunit/phpunit": "4.1.0",
    "squizlabs/php_codesniffer": "1.5.3",
    "phpmd/phpmd": "2.3.*",
    "pdepend/pdepend": "2.2.2",
    "sjparkinson/static-review": "~4.1",
    "fabpot/php-cs-fixer": "~1.2",
    "lusitanian/oauth": "~0.3 <=0.7.0"
},
"replace": {
    "magento/module-marketplace": "100.0.5",
    "magento/module-admin-notification": "100.0.5",
    "magento/module-advanced-pricing-import-export": "100.0.5",
    "magento/module-authorization": "100.0.5",
    "magento/module-authorizenet": "100.0.5",
    "magento/module-backend": "100.0.5",
    "magento/module-backup": "100.0.5",
    "magento/module-braintree": "100.0.5",
    "magento/module-bundle": "100.0.5",
    "magento/module-bundle-import-export": "100.0.5",
    "magento/module-cache-invalidate": "100.0.5",
    "magento/module-captcha": "100.0.5",
    "magento/module-catalog": "100.0.5",
    "magento/module-catalog-import-export": "100.0.5",
    "magento/module-catalog-inventory": "100.0.5",
    "magento/module-catalog-rule": "100.0.5",
    "magento/module-catalog-rule-configurable": "100.0.5",
    "magento/module-catalog-search": "100.0.5",
    "magento/module-catalog-url-rewrite": "100.0.5",
    "magento/module-catalog-widget": "100.0.5",
    "magento/module-checkout": "100.0.5",
    "magento/module-checkout-agreements": "100.0.5",
    "magento/module-cms": "100.0.5",
    "magento/module-cms-url-rewrite": "100.0.5",
    "magento/module-config": "100.0.5",
    "magento/module-configurable-import-export": "100.0.5",
    "magento/module-configurable-product": "100.0.5",
    "magento/module-contact": "100.0.5",
    "magento/module-cookie": "100.0.5",
    "magento/module-cron": "100.0.5",
    "magento/module-currency-symbol": "100.0.5",
    "magento/module-customer": "100.0.5",
    "magento/module-customer-import-export": "100.0.5",
    "magento/module-deploy": "100.0.5",
    "magento/module-developer": "100.0.5",
    "magento/module-dhl": "100.0.5",
    "magento/module-directory": "100.0.5",
    "magento/module-downloadable": "100.0.5",
    "magento/module-downloadable-import-export": "100.0.5",
    "magento/module-eav": "100.0.5",
    "magento/module-email": "100.0.5",
    "magento/module-encryption-key": "100.0.5",
    "magento/module-fedex": "100.0.5",
    "magento/module-gift-message": "100.0.5",
    "magento/module-google-adwords": "100.0.5",
    "magento/module-google-analytics": "100.0.5",
    "magento/module-google-optimizer": "100.0.5",
    "magento/module-grouped-import-export": "100.0.5",
    "magento/module-grouped-product": "100.0.5",
    "magento/module-import-export": "100.0.5",
    "magento/module-indexer": "100.0.5",
    "magento/module-integration": "100.0.5",
    "magento/module-layered-navigation": "100.0.5",
    "magento/module-media-storage": "100.0.5",
    "magento/module-msrp": "100.0.5",
    "magento/module-multishipping": "100.0.5",
    "magento/module-new-relic-reporting": "100.0.5",
    "magento/module-newsletter": "100.0.5",
    "magento/module-offline-payments": "100.0.5",
    "magento/module-offline-shipping": "100.0.5",
    "magento/module-page-cache": "100.0.5",
    "magento/module-payment": "100.0.5",
    "magento/module-paypal": "100.0.5",
    "magento/module-persistent": "100.0.5",
    "magento/module-product-alert": "100.0.5",
    "magento/module-product-video": "100.0.5",
    "magento/module-quote": "100.0.5",
    "magento/module-reports": "100.0.5",
    "magento/module-require-js": "100.0.5",
    "magento/module-review": "100.0.5",
    "magento/module-rss": "100.0.5",
    "magento/module-rule": "100.0.5",
    "magento/module-sales": "100.0.5",
    "magento/module-sales-rule": "100.0.5",
    "magento/module-sales-sequence": "100.0.5",
    "magento/module-sample-data": "100.0.5",
    "magento/module-search": "100.0.5",
    "magento/module-send-friend": "100.0.5",
    "magento/module-shipping": "100.0.5",
    "magento/module-sitemap": "100.0.5",
    "magento/module-store": "100.0.5",
    "magento/module-swagger": "100.0.5",
    "magento/module-swatches": "100.0.5",
    "magento/module-tax": "100.0.5",
    "magento/module-tax-import-export": "100.0.5",
    "magento/module-theme": "100.0.5",
    "magento/module-translation": "100.0.5",
    "magento/module-ui": "100.0.5",
    "magento/module-ups": "100.0.5",
    "magento/module-url-rewrite": "100.0.5",
    "magento/module-user": "100.0.5",
    "magento/module-usps": "100.0.5",
    "magento/module-variable": "100.0.5",
    "magento/module-version": "100.0.5",
    "magento/module-webapi": "100.0.5",
    "magento/module-webapi-security": "100.0.1",
    "magento/module-weee": "100.0.5",
    "magento/module-widget": "100.0.5",
    "magento/module-wishlist": "100.0.5",
    "magento/theme-adminhtml-backend": "100.0.5",
    "magento/theme-frontend-blank": "100.0.5",
    "magento/theme-frontend-luma": "100.0.5",
    "magento/language-de_de": "100.0.5",
    "magento/language-en_us": "100.0.5",
    "magento/language-es_es": "100.0.5",
    "magento/language-fr_fr": "100.0.5",
    "magento/language-nl_nl": "100.0.5",
    "magento/language-pt_br": "100.0.5",
    "magento/language-zh_hans_cn": "100.0.5",
    "magento/framework": "100.0.6",
    "trentrichardson/jquery-timepicker-addon": "1.4.3",
    "colinmollenhour/cache-backend-redis": "1.8",
    "colinmollenhour/credis": "1.5",
    "components/jquery": "1.11.0",
    "blueimp/jquery-file-upload": "5.6.14",
    "components/jqueryui": "1.10.4",
    "twbs/bootstrap": "3.1.0",
    "tinymce/tinymce": "3.4.7"
},
"extra": {
    "component_paths": {
        "trentrichardson/jquery-timepicker-addon": "lib/web/jquery/jquery-ui-timepicker-addon.js",
        "colinmollenhour/cache-backend-redis": "lib/internal/Cm/Cache/Backend/Redis.php",
        "colinmollenhour/credis": "lib/internal/Credis",
        "components/jquery": [
            "lib/web/jquery.js",
            "lib/web/jquery/jquery.min.js",
            "lib/web/jquery/jquery-migrate.js"
        ],
        "blueimp/jquery-file-upload": "lib/web/jquery/fileUploader",
        "components/jqueryui": [
            "lib/web/jquery/jquery-ui.js"
        ],
        "twbs/bootstrap": [
            "lib/web/jquery/jquery.tabs.js"
        ],
        "tinymce/tinymce": "lib/web/tiny_mce"
    }
},
"config": {
    "use-include-path": true
},
"autoload": {
    "psr-4": {
        "Magento\\Framework\\": "lib/internal/Magento/Framework/",
        "Magento\\Setup\\": "setup/src/Magento/Setup/",
        "Magento\\": "app/code/Magento/"
    },
    "psr-0": {
        "": "app/code/"
    },
    "files": [
        "app/etc/NonComposerComponentRegistration.php"
    ]
},
"autoload-dev": {
    "psr-4": {
        "Magento\\Sniffs\\": "dev/tests/static/framework/Magento/Sniffs/",
        "Magento\\Tools\\": "dev/tools/Magento/Tools/",
        "Magento\\Tools\\Sanity\\": "dev/build/publication/sanity/Magento/Tools/Sanity/",
        "Magento\\TestFramework\\Inspection\\": "dev/tests/static/framework/Magento/TestFramework/Inspection/",
        "Magento\\TestFramework\\Utility\\": "dev/tests/static/framework/Magento/TestFramework/Utility/"
    }
},
"minimum-stability": "alpha",
"prefer-stable": true

}

  • I'm getting exactly same problem! – A. Babic May 19 '16 at 22:33
  • Try updating composer too: composer self-update --snapshot – obscure May 20 '16 at 8:30
1

I faced the same problem a while ago.

The reason was because I installed Magento via the GitHub repo.

To fix the problem, here's what I've done:

git pull origin

This command will retrieve the updated files from the repo.

Then you can run this command:

composer update

More informations can be found here: http://devdocs.magento.com/guides/v2.0/install-gde/install/cli/dev_options.html

| improve this answer | |
  • I was so sure I had installed using composer. I was wrong. Thanks Raphael! – Sahil Saini May 20 '16 at 15:39
  • Good, I'm glad you figured it out. The easiest way to tell is to see whether or not all Magento components are under app/code; if so, you cloned GitHub. If Magento components are under vendor, you used Composer. – Steve Johnson May 21 '16 at 13:33
  • How can i solve this : magento.stackexchange.com/q/222817/57334 – zus Apr 18 '18 at 11:17

Not the answer you're looking for? Browse other questions tagged or ask your own question.